Interface Setup
- All Known Implementing Classes:
SetupImpl
public interface Setup
Client interface for Network Edge setup and configuration operations. Provides access to
account listings, metro availability, agreement management, vendor terms, order terms,
pricing information, and generic file uploads.
- Author:
- ianjones
-
Method Summary
Modifier and TypeMethodDescriptioncreateAgreement(String accountNumber, String termsVersionId) Creates an Agreement for the provided account number.getAgreementStatus(String accountNumber) Returns the Agreement Status for the provided account number.byte[]getOrderSummary(RequestBuilder.OrderSummary requestBuilder) Gets the order summary document based on the parameters provided.Returns the order terms for Network Edge.getPricing(RequestBuilder.Pricing requestBuilder) Gets pricing information based on the parameters provided.getPricing(String deviceUuid) Gets pricing information for the specified Device.getVendorsTerms(String vendorPackage, LicenseType licenseType) Returns the vendor terms for the specified vendor package and license type.listAccounts(MetroCode metroCode) Lists available Accounts in the provided metro.Lists available Accounts in all available metros.Returns the current planned and unplanned downtime notifications for Network Edge APIs and infrastructure.Lists available Metros with Network Edge present.listMetrosByRegion(Region region) Lists available Metros with Network Edge present in the specified Region.uploadFile(MetroCode metroCode, String deviceTypeCode, FileProcessType processType, DeviceManagementType deviceManagementType, LicenseType licenseType, String fileContents) Uploads a generic file (a license file or a cloud-init / bootstrap file) and returns the unique id of the uploaded file.
-
Method Details
-
listAccounts
-
listAllAccounts
-
listMetros
PaginatedList<Metro> listMetros()Lists available Metros with Network Edge present.- Returns:
PaginatedList
-
listMetrosByRegion
Lists available Metros with Network Edge present in the specified Region.- Parameters:
region- theRegionof the metros.- Returns:
PaginatedList
-
getAgreementStatus
Returns the Agreement Status for the provided account number.- Parameters:
accountNumber- the unique account identifier.- Returns:
String
-
createAgreement
Creates an Agreement for the provided account number. The termsVersionId can be obtained from getAgreementStatus().- Parameters:
accountNumber- the unique account identifier.termsVersionId- the unique identifier of the agreement terms version.- Returns:
AgreementStatus
-
getVendorsTerms
Returns the vendor terms for the specified vendor package and license type.- Parameters:
vendorPackage- the desired vendor package.licenseType- the desiredLicenseType.- Returns:
String
-
getOrderTerms
-
getPricing
Gets pricing information based on the parameters provided.- Parameters:
requestBuilder- the desired query parameters.- Returns:
Pricing
-
getPricing
-
getOrderSummary
Gets the order summary document based on the parameters provided.- Parameters:
requestBuilder- the desired query parameters.- Returns:
- the order summary as a byte array.
-
uploadFile
String uploadFile(MetroCode metroCode, String deviceTypeCode, FileProcessType processType, DeviceManagementType deviceManagementType, LicenseType licenseType, String fileContents) Uploads a generic file (a license file or a cloud-init / bootstrap file) and returns the unique id of the uploaded file. The returned file id can subsequently be referenced when creating a device or triggering an RMA (e.g. ascloudInitFileIdorlicenseFileId).- Parameters:
metroCode- theMetroCodethe file applies to.deviceTypeCode- the device type code the file applies to (e.g.C8000V).processType- whether the file is aLICENSEorCLOUD_INITfile.deviceManagementType- theDeviceManagementType, ornull.licenseType- theLicenseType, ornull.fileContents- the contents of the file to upload.- Returns:
Stringthe unique id of the uploaded file.
-
listDowntimeNotifications
DowntimeNotification listDowntimeNotifications()Returns the current planned and unplanned downtime notifications for Network Edge APIs and infrastructure.- Returns:
DowntimeNotification
-